Cài đặt ứng dụng của chúng tôi 🪄 nhấp vào biểu tượng ở góc trên bên phải của thanh địa chỉ.

Chữ ký

GET https://digily.link/api/signatures/
curl --request GET \
--url 'https://digily.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: name.
datetime_field Tùy chọn Chuỗi Giá trị được phép: datetime, last_datetime
datetime_start Tùy chọn Chuỗi Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s.
datetime_end Tùy chọn Chuỗi Lọc kết quả đến thời điểm này. Định dạng Y-m-d H:i:s.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: signature_id, datetime, last_datetime, name.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn lấy kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-07-13 10:00:52"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/signatures?page=1",
        "last": "https://digily.link/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/signatures?page=1"
    }
}
GET https://digily.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-13 10:00:52"
    }
}
POST https://digily.link/api/signatures
Tham số Chi tiết Mô tả
name Bắt buộc Chuỗi Tên
project_id Tùy chọn Số nguyên Một dự án sẽ giúp bạn phân loại các tài nguyên của mình.
template Tùy chọn Chuỗi Giá trị được phép: plain_text, mars, mercury, venus, nova
direction Tùy chọn Chuỗi Giá trị được phép: ltr, rtl
is_removed_branding Tùy chọn Boolean Xóa thương hiệu
image_url Tùy chọn Chuỗi Chỉ sử dụng hình ảnh JPG, JPEG, GIF, PNG.
sign_off Tùy chọn Chuỗi Ký tên
full_name Tùy chọn Chuỗi Họ và tên
job_title Tùy chọn Chuỗi Chức danh công việc
department Tùy chọn Chuỗi Phòng ban
company Tùy chọn Chuỗi Công ty
email Tùy chọn Chuỗi Email
website_name Tùy chọn Chuỗi Tên trang web
website_url Tùy chọn Chuỗi URL trang web
address Tùy chọn Chuỗi Địa chỉ
address_url Tùy chọn Chuỗi Liên kết đến một vị trí trên Google maps, ví dụ.
phone_number Tùy chọn Chuỗi Số điện thoại
whatsapp Tùy chọn Chuỗi Whatsapp
facebook_messenger Tùy chọn Chuỗi Tên người dùng Facebook Messenger
telegram Tùy chọn Chuỗi Tên người dùng Telegram
disclaimer Tùy chọn Chuỗi Văn bản tuyên bố miễn trừ trách nhiệm
font_family Tùy chọn Chuỗi Giá trị được phép: arial, verdana, helvetica, times_new_roman, georgia
font_size Tùy chọn Số nguyên Giá trị được phép: 12-18
width Tùy chọn Số nguyên Giá trị được phép: 300-600
image_width Tùy chọn Số nguyên Giá trị được phép: 45-150
image_border_radius Tùy chọn Số nguyên Giá trị được phép: 0-100
socials_width Tùy chọn Số nguyên Giá trị được phép: 15-30
socials_padding Tùy chọn Số nguyên Giá trị được phép: 5-15
separator_size Tùy chọn Số nguyên Giá trị được phép: 0-5
border_radius Tùy chọn Số nguyên Giá trị được phép: 0-30
background_color Tùy chọn Chuỗi Màu nền
border_color Tùy chọn Chuỗi Màu đường viền
theme_color Tùy chọn Chuỗi Màu chủ đề
full_name_color Tùy chọn Chuỗi Màu họ tên
text_color Tùy chọn Chuỗi Màu văn bản
link_color Tùy chọn Chuỗi Màu liên kết
facebook Tùy chọn Chuỗi Tên người dùng Facebook
threads Tùy chọn Chuỗi Tên người dùng Threads
x Tùy chọn Chuỗi X tên người dùng
instagram Tùy chọn Chuỗi Tên người dùng Instagram
youtube Tùy chọn Chuỗi Kênh YouTube
tiktok Tùy chọn Chuỗi Tên người dùng TikTok
spotify Tùy chọn Chuỗi Tên người dùng Spotify
pinterest Tùy chọn Chuỗi Tên người dùng Pinterest
linkedin Tùy chọn Chuỗi Tên người dùng LinkedIn
snapchat Tùy chọn Chuỗi Tên người dùng Snapchat
twitch Tùy chọn Chuỗi Tên người dùng Twitch
discord Tùy chọn Chuỗi ID người dùng Discord
github Tùy chọn Chuỗi Tên người dùng Github
reddit Tùy chọn Chuỗi Tên người dùng Reddit
curl --request POST \
--url 'https://digily.link/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-13 10:00:52"
    }
}
POST https://digily.link/api/signatures/{signature_id}
Tham số Chi tiết Mô tả
name Tùy chọn Chuỗi Tên
project_id Tùy chọn Số nguyên Một dự án sẽ giúp bạn phân loại các tài nguyên của mình.
template Tùy chọn Chuỗi Giá trị được phép: plain_text, mars, mercury, venus, nova
direction Tùy chọn Chuỗi Giá trị được phép: ltr, rtl
is_removed_branding Tùy chọn Boolean Xóa thương hiệu
image_url Tùy chọn Chuỗi Chỉ sử dụng hình ảnh JPG, JPEG, GIF, PNG.
sign_off Tùy chọn Chuỗi Ký tên
full_name Tùy chọn Chuỗi Họ và tên
job_title Tùy chọn Chuỗi Chức danh công việc
department Tùy chọn Chuỗi Phòng ban
company Tùy chọn Chuỗi Công ty
email Tùy chọn Chuỗi Email
website_name Tùy chọn Chuỗi Tên trang web
website_url Tùy chọn Chuỗi URL trang web
address Tùy chọn Chuỗi Địa chỉ
address_url Tùy chọn Chuỗi Liên kết đến một vị trí trên Google maps, ví dụ.
phone_number Tùy chọn Chuỗi Số điện thoại
whatsapp Tùy chọn Chuỗi Whatsapp
facebook_messenger Tùy chọn Chuỗi Tên người dùng Facebook Messenger
telegram Tùy chọn Chuỗi Tên người dùng Telegram
disclaimer Tùy chọn Chuỗi Văn bản tuyên bố miễn trừ trách nhiệm
font_family Tùy chọn Chuỗi Giá trị được phép: arial, verdana, helvetica, times_new_roman, georgia
font_size Tùy chọn Số nguyên Giá trị được phép: 12-18
width Tùy chọn Số nguyên Giá trị được phép: 300-600
image_width Tùy chọn Số nguyên Giá trị được phép: 45-150
image_border_radius Tùy chọn Số nguyên Giá trị được phép: 0-100
socials_width Tùy chọn Số nguyên Giá trị được phép: 15-30
socials_padding Tùy chọn Số nguyên Giá trị được phép: 5-15
separator_size Tùy chọn Số nguyên Giá trị được phép: 0-5
border_radius Tùy chọn Số nguyên Giá trị được phép: 0-30
background_color Tùy chọn Chuỗi Màu nền
border_color Tùy chọn Chuỗi Màu đường viền
theme_color Tùy chọn Chuỗi Màu chủ đề
full_name_color Tùy chọn Chuỗi Màu họ tên
text_color Tùy chọn Chuỗi Màu văn bản
link_color Tùy chọn Chuỗi Màu liên kết
facebook Tùy chọn Chuỗi Tên người dùng Facebook
threads Tùy chọn Chuỗi Tên người dùng Threads
x Tùy chọn Chuỗi X tên người dùng
instagram Tùy chọn Chuỗi Tên người dùng Instagram
youtube Tùy chọn Chuỗi Kênh YouTube
tiktok Tùy chọn Chuỗi Tên người dùng TikTok
spotify Tùy chọn Chuỗi Tên người dùng Spotify
pinterest Tùy chọn Chuỗi Tên người dùng Pinterest
linkedin Tùy chọn Chuỗi Tên người dùng LinkedIn
snapchat Tùy chọn Chuỗi Tên người dùng Snapchat
twitch Tùy chọn Chuỗi Tên người dùng Twitch
discord Tùy chọn Chuỗi ID người dùng Discord
github Tùy chọn Chuỗi Tên người dùng Github
reddit Tùy chọn Chuỗi Tên người dùng Reddit
curl --request POST \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-07-13 10:00:52",
        "datetime": "2026-07-13 10:00:52"
    }
}
DELETE https://digily.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \